import React from 'react';
export declare enum DiffMethod {
    Chars = "diffChars",
    Words = "diffWords",
    WordsWithSpace = "diffWordsWithSpace",
    Lines = "diffLines",
    TrimmedLines = "diffTrimmedLines",
    Sentences = "diffSentences",
    CSS = "diffCss"
}
declare type DiffStyles = {
    added: React.CSSProperties;
    removed: React.CSSProperties;
    default: React.CSSProperties;
};
export declare type StringDiffProps = {
    oldValue: string;
    newValue: string;
    method?: DiffMethod;
    styles?: DiffStyles;
    className?: string;
    component?: React.ElementType;
};
export declare const StringDiff: React.FC<StringDiffProps>;
export {};
